﻿Copyright (c) (2017) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub HP 54520 Series (1 yr) VER IEEE /5520+SC600,DMM
DATE:                  2017-03-29 12:59:54
AUTHOR:                Fluke
REVISION:              $Revision: 19011 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       222
CONFIGURATION:         Fluke 5520A (S6)
CONFIGURATION:         Digital Multimeter
=============================================================================
#
#  Procedure Author:  DAC, DFM, ZY
#
#  Model(s) Covered:  54520A, 54522A, 54520C, 54522C
#
#  Source(s):         HP 54520 and 54540 Series Oscilloscopes Service Guide,
#                     Part No. 54542-97011, 2nd Edition, November 1993
#
#                     HP 54520C and 54540C Series Oscilloscopes Service Guide,
#                     Part No. 54542-97044, 1st Edition, October 1995
#
#  Compatibility:     MET/CAL 7.20 SP1 (7.20x) or later
#
#  Additional Equipment Required:
#                     Tee, 50 Ohm, BNC(f)-(f)-(f), Pomona Model 3284
#                     Cable, 50 Ohm, BNC(m)-(m), Pomona 2249-C-12, 2 ea.
#                     Adapter, BNC(f) to double-banana(m), Pomona Model 1269
#                     Formatted, blank floppy disk
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# The following statement are included to force the main procedure header
# to represent the configuration required by the subprocedures.
  1.001  IF           0
  1.002  5520         1Vpp                         500MH          LS S6 S  L
  1.003  IEEE         [@DMM]
  1.004  ENDIF

  1.005  ASK-   R   Q N              P                            A        V
# ASK+ K is required for measurement uncertainty.
  1.006  ASK+           K

  1.007  MATH         @ReqMetCalVersion = "7.20x"
  1.008  CALL         Sub MET/CAL Version Check

  1.009  IF           NOT(@MetCalVersionOK)
  1.010  DISP         This procedure requires MET/CAL 7.20 SP1 (7.20x)
  1.010  DISP         or later.
  1.011  END
  1.012  ENDIF

  1.013  CALL         Sub Display Copyright
  1.014  CALL         Sub High Voltage Safety Warning
  1.015  CALL         Sub Select Failed Test Mode
  1.016  CALL         Sub Select Verification Method (No NTHROW)

  1.017  HEAD         PRELIMINARY INSTRUCTIONS
  1.018  DISP         Ensure a minimum UUT warm-up time of at least
  1.018  DISP         30 minutes has been allowed to elapse, prior
  1.018  DISP         to beginning verification.

  1.019  HEAD         EQUIPMENT REQUIREMENTS
  1.020  OPBR         -z Do you want to REVIEW the list of additional
  1.020  OPBR         equipment and/or accessories required?

  1.021  IF           MEM1
# Description of additional test equipment required to run this procedure.
  1.022  DISP         The following additional equipment and/or
  1.022  DISP         accessories are required:
  1.022  DISP
  1.022  DISP         - Tee, 50 Ohm, BNC(f)-(f)-(f), Pomona Model 3284
  1.022  DISP         - Cable, 50 Ohm, BNC(m)-(m), Pomona 2249-C-12, 2 ea.
  1.022  DISP         - Adapter, BNC(f) to double-banana(m), Pomona Model 1269
  1.022  DISP         - Formatted, blank floppy disk
  1.023  ENDIF

  1.024  DISP         Connect the UUT to IEEE-488 port 1 and turn it on.

  1.025  IEEE         *RST

  1.026  MATH         @UUT_Manufacturer = "Hewlett-Packard"
  1.027  MATH         @UUT_AssetNum     = UUT()

  1.028  IF           NOT(EMPTY(@UUT_AssetNum))
  1.029  MATH         @UUT_SerialNum = SN(@UUT_AssetNum)
  1.030  ENDIF

  1.031  CALL         Sub IEEE-488.2 Identification Query IEEE
  1.032  CALL         Sub IEEE-488.2 Identification Query Check Response

  1.033  IF           @Abort
  1.034  END
  1.035  ENDIF

# NOTE: Throughout this procedure, JMPL/LABEL statements are used to
# minimize connection changes during execution. Test results, however,
# are reported in test number sequence.
#
#  Order  Results                            Run Time (Execution)
#  -----  -------------------------------    --------------------------------
#    1.   SELF TEST                          SELF TEST
#    2.   DC CALIBRATOR                      DC CALIBRATOR
#    3.   INPUT RESISTANCE (CH1)             INPUT RESISTANCE (CH1)
#    4.   INPUT RESISTANCE (CH2)             DCV MEASUREMENT ACC (CH1)
#    5.   EXT TRIG INPUT RESISTANCE          DC OFFSET (CH1)
#    6.   DCV MEASUREMENT ACC (CH1)          ANALOG BANDWIDTH (CH1)
#    7.   DCV MEASUREMENT ACC (CH2)          TIMEBASE (CH1)
#    8.   DC OFFSET (CH1)                    TRIGGER SENS (CH1)
#    9.   DC OFFSET (CH2)                    AUXILIARY TRIGGER
#   10.   ANALOG BANDWIDTH (CH1)             EXTERNAL TRIGGER
#   11.   ANALOG BANDWIDTH (CH2)             INPUT RESISTANCE (CH2)
#   12.   TIMEBASE (CH1)                     DCV MEASUREMENT ACC (CH2)
#   13.   TRIGGER SENS (CH1)                 DC OFFSET (CH2)
#   14.   TRIGGER SENS (CH2)                 ANALOG BANDWIDTH (CH2)
#   15.   EXTERNAL TRIGGER                   TRIGGER SENS (CH2)
#   16.   AUXILIARY TRIGGER                  EXT TRIG INPUT RESISTANCE

  1.036  CALL         Sub HP 545xx Self-test IEEE
  1.037  JMPL         END                 @Abort

  1.038  CALL         Sub HP 545xx (1 yr) DC Calibrator IEEE /DMM

  1.039  LABEL        CHANNEL_1_INPUT_RESISTANCE
  1.040  MATH         @Chan = 1
  1.041  PIC          hp545xx1
  1.042  CALL         Sub HP 545xx (1 yr) Input Res. IEEE /5520+S6
  1.043  JMPL         CHANNEL_1_DC_VOLTAGE

  1.044  LABEL        CHANNEL_2_INPUT_RESISTANCE
  1.045  PIC          hp545xx2
  1.046  MATH         @Chan = 2
  1.047  CALL         Sub HP 545xx (1 yr) Input Res. IEEE /5520+S6
  1.048  JMPL         CHANNEL_2_DC_VOLTAGE

  1.049  LABEL        EXT_TRIG_INPUT_RESISTANCE
  1.050  PIC          hp545xx_ext_trig_55x0
  1.051  CALL         Sub HP 545xx (1 yr) Ext Res. IEEE /5520+S6
  1.052  JMPL         END

  1.053  LABEL        CHANNEL_1_DC_VOLTAGE
  1.054  MATH         @Chan = 1
  1.055  CALL         Sub HP 545xx (1 yr) DCV IEEE /5520+S6
  1.056  JMPL         CHANNEL_1_DC_OFFSET

  1.057  LABEL        CHANNEL_2_DC_VOLTAGE
  1.058  MATH         @Chan = 2
  1.059  CALL         Sub HP 545xx (1 yr) DCV IEEE /5520+S6
  1.060  JMPL         CHANNEL_2_DC_OFFSET

  1.061  LABEL        CHANNEL_1_DC_OFFSET
  1.062  MATH         @Chan = 1
  1.063  CALL         Sub HP 545xx (1 yr) DC Offset IEEE /5520+S6
  1.064  JMPL         CHANNEL_1_ANALOG_BW

  1.065  LABEL        CHANNEL_2_DC_OFFSET
  1.066  MATH         @Chan = 2
  1.067  CALL         Sub HP 545xx (1 yr) DC Offset IEEE /5520+S6
  1.068  JMPL         CHANNEL_2_ANALOG_BW

  1.069  LABEL        CHANNEL_1_ANALOG_BW
  1.070  MATH         @Chan = 1
  1.071  CALL         Sub HP 545xx (1 yr) Analog BW IEEE /5520+S6
  1.072  JMPL         TIMEBASE

  1.073  LABEL        CHANNEL_2_ANALOG_BW
  1.074  MATH         @Chan = 2
  1.075  CALL         Sub HP 545xx (1 yr) Analog BW IEEE /5520+S6
  1.076  JMPL         CHANNEL_2_TRIGGER_SENS

  1.077  LABEL        TIMEBASE
  1.078  MATH         @Chan = 1
  1.079  CALL         Sub HP 545xx (1 yr) Timebase IEEE /5520+S6
  1.080  JMPL         CHANNEL_1_TRIGGER_SENS

  1.081  LABEL        CHANNEL_1_TRIGGER_SENS
  1.082  MATH         @Chan = 1
  1.083  CALL         Sub HP 545xx (1 yr) Trigger Sens. IEEE /5520+S6
  1.084  JMPL         AUXILIARY_TRIGGER

  1.085  LABEL        CHANNEL_2_TRIGGER_SENS
  1.086  MATH         @Chan = 2
  1.087  CALL         Sub HP 545xx (1 yr) Trigger Sens. IEEE /5520+S6
  1.088  JMPL         EXT_TRIG_INPUT_RESISTANCE

  1.089  LABEL        EXTERNAL_TRIGGER
  1.090  MATH         @Chan = 1
  1.091  PIC          hp545xx5
  1.092  CALL         Sub HP 545xx (1 yr) EXT Trigger IEEE /5520+S6
  1.093  JMPL         CHANNEL_2_INPUT_RESISTANCE

  1.094  LABEL        AUXILIARY_TRIGGER
  1.095  MATH         @Chan = 1
  1.096  CALL         Sub HP 545xx (1 yr) AUX Trigger IEEE /5520+S6
  1.097  JMPL         EXTERNAL_TRIGGER

  1.098  LABEL        END
  1.099  HEAD
  1.100  RSLT         =
  1.101  IEEE         SYST:DSP "5452xA/C Verification Done"
  1.102  IEEE         [GTL]
  1.103  DISP         Remove all connections to the UUT.

  1.104  IF           @Abort
  1.105  DISP         {V E R I F I C A T I O N  A B O R T E D !}
  1.106  ENDIF

  1.107  END
